Description
e etcd prefix: /opennebula *

What to synchronise

¢ /opennebula/vm/<VM id>
o all information about the VM
o also terminated VMs

Use cases
| want to be able to

Get the current host of the VM

Get the VNC port of a VM

get the list of all disk images associated with a VM
Need to know who is the owner of a VM

Which VM has the IPv4/IPv6 address xxx?

Step 1

¢ Get the data into etcd

Step 2

e Create a script to extract answers to the use cases

History

#1 - 01/24/2020 11:09 AM - Nico Schottelius

- Description updated

#2 - 01/24/2020 11:11 AM - Nico Schottelius

- Description updated

#3 - 01/24/2020 11:12 AM - Nico Schottelius

- Description updated

#4 - 01/27/2020 01:25 PM - Nico Schottelius

- Assignee changed from Mondi Ravi to Ahmed Bilal

| actually created this ticket some time ago

#5 - 01/28/2020 02:38 PM - Ahmed Bilal

Nico its done. https://code.ungleich.ch/ungleich-public/ungleich-tools/tree/master/opennebula-vm-etcd
https://code.ungleich.ch/ungleich-public/ungleich-tools/tree/master/opennebula-vm-etcd

1. Putting VM info into etcd put-vm-info-into-etcd.py
2. VM Queries Example Script vm-queries.py

although slow as | discussed in infra channel.
https://chat.ungleich.ch/ungleich/pl/cy4e5kg4818ijjttactofu1s4h and https://chat.ungleich.ch/ungleich/pl/cougyydbh7rn58bqgygbghSyisy

#6 - 01/31/2020 07:13 PM - Ahmed Bilal

| changed the whole engine, so it is not slow anymore. Previously, | am using pyone library provided by OpenNebula that is in simple words full of
bugs. Now, | am directly using XML-RPC client builtin Python to make remote procedural calls to our OpenNebula server to get data or to perform
some actions on VM.

#7 - 01/31/2020 07:13 PM - Ahmed Bilal

- Assignee changed from Ahmed Bilal to Nico Schottelius

#8 - 01/02/2024 02:03 PM - Nico Schottelius

- Status changed from New to Rejected
